Worker::getStacked
Worker::isWorking
Worker
PHP Manual

# Worker::isShutdown

(PECL pthreads >= 2.0.0)

Worker::isShutdown — State Detection

### Description

public boolean Worker::isShutdown ( void )

Tell if the referenced Worker has been shutdown

### Parameters

This function has no parameters.

### Return Values

A boolean indication of state

### Examples

Example #1 Detect the state of a Worker

`<?php
$my = new Worker();
$my->start();
var_dump($my->isShutdown());
$my->shutdown();
var_dump($my->isShutdown());
?>`

The above example will output:

    bool(false)
    bool(true)

Worker::getStacked
Worker::isWorking
Worker
PHP Manual